7.1 update - Safari extension doesn't work anymore, can't connect to the main app [Update to 7.1.1]

mstgrvmstgrv
edited August 2018 in Mac

AgileBits Update: We are aware of this issue and have fixed it in the 7.1.1 update. Please see this post for the latest information.


Just updated to 7.1 on my computer, which was working fine with the previous version installed. I'm now having the following issues:

  • Safari toolbar item for 1password does nothing
  • 1password on the right-click menu does nothing
  • When I use 1password mini in the menu bar, it prompts me to install the extension (when it's already installed),
  • After I click "Get the extension" it gives me the usual prompt to connect the extension to the app, but I get an error that the app could not be found:

Couldn’t connect to 1Password

Make sure you have the 1Password app installed. If you're still experiencing problems follow the simple steps on our support site or contact us.

Have tried uninstalling & reinstalling the extension (did nothing), uninstalling the extension then rebooting before reinstalling it (did nothing).


1Password Version: Not Provided
Extension Version: Not Provided
OS Version: Not Provided
Sync Type: Not Provided

«134

Comments

  • Xe997Xe997
    edited August 2018

    I was just gonna post about this issue myself. Filling doesn't work in Safari, 1Password just asks me to install the extension. It does work however in Firefox.

    My setup is this:
    1Password 7.1 stable (I updated from 7.1 beta 4 which didn't have this issue)
    macOS 10.13.6
    Safari 11.1.2
    1Password extension 4.7.3

    I also reinstalled the extension and restarted my computer, to no effect.

  • I'm having the same issue this morning.

    Got the update to 7.1 and the browser extension can no longer find the main app. This was working fine previously. Tried the troubleshooting tips (uninstall extension, reinstall, reboot, firewall, proxy, etc). Still no luck.

  • Yup. Same here. I even tried uninstalling the old extension, and rebooting. The app is no longer integrating with Safari.

  • Before this update all was working well. Now I end up with this endless loop of screens
    whenever trying to use the extension:

    Current Safari version is 11.1.2 with macOS 10.13.6. I have the standalone license.
    Note that this is also an issue with the latest Mojave Public Beta as well.

    Is it also possible to revert to the previous working version or will this be quickly fixed?


    1Password Version: Not Provided
    Extension Version: Not Provided
    OS Version: Not Provided
    Sync Type: Not Provided

  • edited August 2018

    I just posted as well, guess I am a bit slower typing. Did all the install uninstall
    to no avail. Its broke on Safari in both High Sierra and Mojave Public Beta!

    A very major error!!!!

  • The same here. I'm on Safari in MacOS High Sierra 10.13.6. Reinstalled the extension twice without result. Very disturbing.

  • edited August 2018

    Same thing here. The process explained here https://support.1password.com/extension-troubleshooting/#if-1password-still-isn-t-working-in-your-browser is not effective.

    Bad bad thing. We rely on 1P. This is a huge loss of productivity.

  • OAWOAW Junior Member
    edited August 2018

    Same problem for me after updating this morning. Not to mention the fact that "reinstalling" the Safari extension appears to be impossible because when you click the big green button on AgileBit's website it takes you to the Apple Safari Extensions website where the download is simply not available.

  • Yes this is a major fail for Agilebits when this is probably 90% of the reason
    for using 1Password!

  • OAWOAW Junior Member

    Same problem for me after updating this morning.

  • A fix is needed ASAP!

  • I downgraded to 7.0.7 (from https://app-updates.agilebits.com/product_history/OPM7) and filling is now working again. 7.1 also seems to have been pulled from the update server.

  • Really need an explanation. This is so unusual. How in the world this this pass QA/UAT on a non-beta build.......????????? Was this a total breakdown or is there some rational explanation here?

  • WHY DO WE HAVE NO COMMENTS FROM THE COMPANY?

  • Same problem here. It looks like this update really messed all of us up ... big time. 1Pass is totally non-operational.

  • I even changed my PW and now I'm not certain wether to use my old or new PW :p

  • Me too, cannot get it to work, tried reinstalls and reboots.

  • pjhubbardpjhubbard Junior Member

    Same issue here-please fix!!!!

  • chieftedchiefted Junior Member

    Let the downgrading commence. It's an infinite loop. Removed the extension, restarted Safari, tells me to install the extension, install the extension, it tells me to install the extension...on and on. I even removed the 7.1 builds completely and that didn't solve the problem (and yes stopped and started 1password along the way) This is a pretty major bug to slip through.

  • +1. Same issue here.

  • BenBen AWS Team

    Team Member
    edited August 2018

    Hi folks,

    We have released 1Password for Mac v7.1.1 to address this issue. Please update to the latest version.


    Previous updates:

    My sincere apologies for the trouble here. We have temporarily pulled the 7.1 update until we can figure out what is causing this. We expect to have more information to share shortly. Please keep an eye on this thread for updates.

    Update 12:52pm EST: This issue only affects Safari. If you are having trouble with other browsers please try restarting your Mac. If the problem persists please start a new thread to troubleshoot further.
    Until we can issue a new update I’d recommend either using a different browser.

    Ben

  • BenBen AWS Team

    Team Member

    I’ve merged a couple of threads here. Please see above.

    Ben

  • BenBen AWS Team

    Team Member

    As a temporary workaround I would suggest using Chrome or Firefox:

    As soon as more information becomes available I will update this thread. Again my apologies.

    Ben

  • The DoctorThe Doctor Member
    edited August 2018

    Is it safe to simply revert to the previous version if we have it on a different machine?

    If not, is it possible for you guys to temporarily increment to 7.01 but simply use the previous working version?

  • Can't believe you guys rolled Beta 2 into live production, this is KILLING MY WORKFLOW. An update you forced upon me, I pay Agilebits a LOT of money to get this ONE thing right. Fix it. Faster.

  • @Ben this is effecting Firefox as well! Not just Safari, who in their right mind would use Chrome? #GotPrivacy?

  • BenBen AWS Team

    Team Member

    @The Doctor

    I’m not aware of any reason to believe otherwise. V7.0.7 can be downloaded here:

    https://app-updates.agilebits.com/product_history/OPM7

    • Quit 1Password completely using control + option + command + Q
    • Drag 1Password 7.1 to the Trash and empty the Trash — Do NOT use an “app cleaner”
    • Install v7.0.7 using the link above

    Ben

  • Same problem here. Safari extension is not working. I updated some minutes ago to 1password 7.1 via the AppStore.

  • BenBen AWS Team

    Team Member

    @buckZor

    Can't believe you guys rolled Beta 2 into live production

    We didn’t. Beta 4 was the latest beta version.

    who in their right mind would use Chrome?

    Something like 50% of the global browser using population? Source: https://en.m.wikipedia.org/wiki/Usage_share_of_web_browsers

    this is effecting Firefox as well! Not just Safari,

    I suspect you’ve got something else going on then, as the issue with 7.1 only affects Safari. Please start a new thread to troubleshoot.

    Thanks! And sorry for the trouble. We’ll be happy to help get you sorted out.

    Ben

  • The DoctorThe Doctor Member

    @Ben reinstalling would rerun the scripts from the .PKG -- is that a safe approach after trashing 7.1?

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file